GET /transcription_flows/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/transcription_flows/new

Build Transcription Flow with defaults.

Return a new, unsaved transcription flow pre-filled with defaults.

Params

Param name Description
transcription_flow_group_id
Optional Blank value allowed

Transcription Flow Group

  • Must be a String

name
Optional Blank value allowed

Name

  • Must be a String

recording_types
Optional Blank value allowed

Recording Types

  • Must be an array of strings. EG: ["abc123", "xzy023"]

description
Optional Blank value allowed

Description

  • Must be a String

record_token_filter_id
Optional Blank value allowed

Record Token Filter

token_value_ids
Optional Blank value allowed

Token Value Ids

  • Must be a decimal number.

transcription_keyword_group_id
Optional Blank value allowed

The Transcription Keyword Group scanned for in this flow’s transcripts, if any.

schedule_action_group_id
Optional Blank value allowed

Run this Schedule Action Group against the call after its transcript is ready.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"